# Makefile for make!

LD=     j:\lcc\lcclnk\lcclnk
CFLAGS=	-DNDEBUG -O

OBJS=	check.obj input.obj macro.obj main.obj make.obj reader.obj rules.obj
SRC= 	$(OBJS;.obj=.c)
H=	h.h

all:	make.exe

make.exe:	$(OBJS)
	@echo linking $<
	$(LD) -s -o make.exe $(OBJS)

backup:
	@zip -u9 pdmake95 Makefile $(H) $(SRC) MAKE.EXE

test:	
	@echo make is $(MAKE) 
	@echo OBJs is $(OBJS)
	@echo SRC  is $(SRC)

$(OBJS):	$(H) Makefile
